Subject: Re: [PATCH 4/5] mac80211: Add more ethtools stats: survey, rates, etc

From: Jan Ceuleers <[email-masked]>
Date: Thu, 12 Apr 2012 19:56:38 +0200

Ben Greear wrote:
> Ethtool stats only supports u64. I think it's easy enough for
> humans or programs to add the negative sign. Can signal or noise
> ever be > 0? If so, that could actually break something that depends
> on flipping the value to negative....

The unit of these quantities is dBm, right? So if the {signal|noise} is 
greater than 1mW the corresponding value in dBm would be positive.